// This file is maintained for backward compatibility only
// New code should use qenv directly

import * as plugins from '../plugins.js';
import type DcRouter from './classes.dcrouter.js';

export class SzDcRouterConnector {
  public qenv: plugins.qenv.Qenv;
  public dcRouterRef: DcRouter;
  
  constructor(dcRouterRef: DcRouter) {
    this.dcRouterRef = dcRouterRef;
    // Initialize qenv directly
    this.qenv = new plugins.qenv.Qenv('./', '.nogit/');
  }

  public async getEnvVarOnDemand(varName: string): Promise<string> {
    return this.qenv.getEnvVarOnDemand(varName) || '';
  }
}